=== drivers/rtc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for RTC class/drivers.
#

ccflags-$(CONFIG_RTC_DEBUG)	:= -DDEBUG

obj-$(CONFIG_RTC_LIB)		+= lib.o
obj-$(CONFIG_RTC_CLASS)		+= rtc-core.o
obj-$(CONFIG_RTC_MC146818_LIB)	+= rtc-mc146818-lib.o
rtc-core-y			:= class.o interface.o

rtc-core-$(CONFIG_RTC_NVMEM)		+= nvmem.o
rtc-core-$(CONFIG_RTC_INTF_DEV)		+= dev.o
rtc-core-$(CONFIG_RTC_INTF_PROC)	+= proc.o
rtc-core-$(CONFIG_RTC_INTF_SYSFS)	+= sysfs.o

obj-$(CONFIG_RTC_LIB_KUNIT_TEST)	+= lib_test.o

# Keep the list ordered.

obj-$(CONFIG_RTC_DRV_88PM80X)	+= rtc-88pm80x.o
obj-$(CONFIG_RTC_DRV_88PM860X)	+= rtc-88pm860x.o
obj-$(CONFIG_RTC_DRV_AB8500)	+= rtc-ab8500.o
obj-$(CONFIG_RTC_DRV_ABB5ZES3)	+= rtc-ab-b5ze-s3.o
obj-$(CONFIG_RTC_DRV_ABEOZ9)	+= rtc-ab-eoz9.o
obj-$(CONFIG_RTC_DRV_ABX80X)	+= rtc-abx80x.o
obj-$(CONFIG_RTC_DRV_AC100)	+= rtc-ac100.o
obj-$(CONFIG_RTC_DRV_ARMADA38X)	+= rtc-armada38x.o
obj-$(CONFIG_RTC_DRV_AS3722)	+= rtc-as3722.o
obj-$(CONFIG_RTC_DRV_ASM9260)	+= rtc-asm9260.o
obj-$(CONFIG_RTC_DRV_ASPEED)	+= rtc-aspeed.o
obj-$(CONFIG_RTC_DRV_AT91RM9200)+= rtc-at91rm9200.o
obj-$(CONFIG_RTC_DRV_AT91SAM9)	+= rtc-at91sam9.o
obj-$(CONFIG_RTC_DRV_AU1XXX)	+= rtc-au1xxx.o
obj-$(CONFIG_RTC_DRV_BD70528)	+= rtc-bd70528.o
obj-$(CONFIG_RTC_DRV_BQ32K)	+= rtc-bq32k.o
obj-$(CONFIG_RTC_DRV_BQ4802)	+= rtc-bq4802.o
obj-$(CONFIG_RTC_DRV_BRCMSTB)	+= rtc-brcmstb-waketimer.o
obj-$(CONFIG_RTC_DRV_CADENCE)	+= rtc-cadence.o
obj-$(CONFIG_RTC_DRV_CMOS)	+= rtc-cmos.o
obj-$(CONFIG_RTC_DRV_CPCAP)	+= rtc-cpcap.o
obj-$(CONFIG_RTC_DRV_CROS_EC)	+= rtc-cros-ec.o
obj-$(CONFIG_RTC_DRV_DA9052)	+= rtc-da9052.o
obj-$(CONFIG_RTC_DRV_DA9055)	+= rtc-da9055.o
obj-$(CONFIG_RTC_DRV_DA9063)	+= rtc-da9063.o
obj-$(CONFIG_RTC_DRV_DAVINCI)	+= rtc-davinci.o
obj-$(CONFIG_RTC_DRV_DIGICOLOR)	+= rtc-digicolor.o
obj-$(CONFIG_RTC_DRV_DM355EVM)	+= rtc-dm355evm.o
obj-$(CONFIG_RTC_DRV_DS1216)	+= rtc-ds1216.o
obj-$(CONFIG_RTC_DRV_DS1286)	+= rtc-ds1286.o
obj-$(CONFIG_RTC_DRV_DS1302)	+= rtc-ds1302.o
obj-$(CONFIG_RTC_DRV_DS1305)	+= rtc-ds1305.o
obj-$(CONFIG_RTC_DRV_DS1307)	+= rtc-ds1307.o
obj-$(CONFIG_RTC_DRV_DS1343)	+= rtc-ds1343.o
obj-$(CONFIG_RTC_DRV_DS1347)	+= rtc-ds1347.o
obj-$(CONFIG_RTC_DRV_DS1374)	+= rtc-ds1374.o
obj-$(CONFIG_RTC_DRV_DS1390)	+= rtc-ds1390.o
obj-$(CONFIG_RTC_DRV_DS1511)	+= rtc-ds1511.o
obj-$(CONFIG_RTC_DRV_DS1553)	+= rtc-ds1553.o
obj-$(CONFIG_RTC_DRV_DS1672)	+= rtc-ds1672.o
obj-$(CONFIG_RTC_DRV_DS1685_FAMILY)	+= rtc-ds1685.o
obj-$(CONFIG_RTC_DRV_DS1742)	+= rtc-ds1742.o
obj-$(CONFIG_RTC_DRV_DS2404)	+= rtc-ds2404.o
obj-$(CONFIG_RTC_DRV_DS3232)	+= rtc-ds3232.o
obj-$(CONFIG_RTC_DRV_EFI)	+= rtc-efi.o
obj-$(CONFIG_RTC_DRV_EM3027)	+= rtc-em3027.o
obj-$(CONFIG_RTC_DRV_EP93XX)	+= rtc-ep93xx.o
obj-$(CONFIG_RTC_DRV_FM3130)	+= rtc-fm3130.o
obj-$(CONFIG_RTC_DRV_FSL_FTM_ALARM)	+= rtc-fsl-ftm-alarm.o
obj-$(CONFIG_RTC_DRV_FTRTC010)	+= rtc-ftrtc010.o
obj-$(CONFIG_RTC_DRV_GENERIC)	+= rtc-generic.o
obj-$(CONFIG_RTC_DRV_GOLDFISH)	+= rtc-goldfish.o
obj-$(CONFIG_RTC_DRV_HID_SENSOR_TIME) += rtc-hid-sensor-time.o
obj-$(CONFIG_RTC_DRV_HYM8563)	+= rtc-hym8563.o
obj-$(CONFIG_RTC_DRV_IMXDI)	+= rtc-imxdi.o
obj-$(CONFIG_RTC_DRV_IMX_SC)	+= rtc-imx-sc.o
obj-$(CONFIG_RTC_DRV_ISL12022)	+= rtc-isl12022.o
obj-$(CONFIG_RTC_DRV_ISL12026)	+= rtc-isl12026.o
obj-$(CONFIG_RTC_DRV_ISL1208)	+= rtc-isl1208.o
obj-$(CONFIG_RTC_DRV_JZ4740)	+= rtc-jz4740.o
obj-$(CONFIG_RTC_DRV_LOONGSON1)	+= rtc-ls1x.o
obj-$(CONFIG_RTC_DRV_LP8788)	+= rtc-lp8788.o
obj-$(CONFIG_RTC_DRV_LPC24XX)	+= rtc-lpc24xx.o
obj-$(CONFIG_RTC_DRV_LPC32XX)	+= rtc-lpc32xx.o
obj-$(CONFIG_RTC_DRV_M41T80)	+= rtc-m41t80.o
obj-$(CONFIG_RTC_DRV_M41T93)	+= rtc-m41t93.o
obj-$(CONFIG_RTC_DRV_M41T94)	+= rtc-m41t94.o
obj-$(CONFIG_RTC_DRV_M48T35)	+= rtc-m48t35.o
obj-$(CONFIG_RTC_DRV_M48T59)	+= rtc-m48t59.o
obj-$(CONFIG_RTC_DRV_M48T86)	+= rtc-m48t86.o
obj-$(CONFIG_RTC_DRV_MAX6900)	+= rtc-max6900.o
obj-$(CONFIG_RTC_DRV_MAX6902)	+= rtc-max6902.o
obj-$(CONFIG_RTC_DRV_MAX6916)	+= rtc-max6916.o
obj-$(CONFIG_RTC_DRV_MAX77686)	+= rtc-max77686.o
obj-$(CONFIG_RTC_DRV_MAX8907)	+= rtc-max8907.o
obj-$(CONFIG_RTC_DRV_MAX8925)	+= rtc-max8925.o
obj-$(CONFIG_RTC_DRV_MAX8997)	+= rtc-max8997.o
obj-$(CONFIG_RTC_DRV_MAX8998)	+= rtc-max8998.o
obj-$(CONFIG_RTC_DRV_MESON_VRTC)+= rtc-meson-vrtc.o
obj-$(CONFIG_RTC_DRV_MC13XXX)	+= rtc-mc13xxx.o
obj-$(CONFIG_RTC_DRV_MCP795)	+= rtc-mcp795.o
obj-$(CONFIG_RTC_DRV_MESON)	+= rtc-meson.o
obj-$(CONFIG_RTC_DRV_MOXART)	+= rtc-moxart.o
obj-$(CONFIG_RTC_DRV_MPC5121)	+= rtc-mpc5121.o
obj-$(CONFIG_RTC_DRV_MSC313)	+= rtc-msc313.o
obj-$(CONFIG_RTC_DRV_MSM6242)	+= rtc-msm6242.o
obj-$(CONFIG_RTC_DRV_MT2712)	+= rtc-mt2712.o
obj-$(CONFIG_RTC_DRV_MT6397)	+= rtc-mt6397.o
obj-$(CONFIG_RTC_DRV_MT7622)	+= rtc-mt7622.o
obj-$(CONFIG_RTC_DRV_MV)	+= rtc-mv.o
obj-$(CONFIG_RTC_DRV_MXC)	+= rtc-mxc.o
obj-$(CONFIG_RTC_DRV_MXC_V2)	+= rtc-mxc_v2.o
obj-$(CONFIG_RTC_DRV_GAMECUBE)	+= rtc-gamecube.o
obj-$(CONFIG_RTC_DRV_NCT3018Y)	+= rtc-nct3018y.o
obj-$(CONFIG_RTC_DRV_NTXEC)	+= rtc-ntxec.o
obj-$(CONFIG_RTC_DRV_OMAP)	+= rtc-omap.o
obj-$(CONFIG_RTC_DRV_OPAL)	+= rtc-opal.o
obj-$(CONFIG_RTC_DRV_OPTEE)	+= rtc-optee.o
obj-$(CONFIG_RTC_DRV_PALMAS)	+= rtc-palmas.o
obj-$(CONFIG_RTC_DRV_PCAP)	+= rtc-pcap.o
obj-$(CONFIG_RTC_DRV_PCF2123)	+= rtc-pcf2123.o
obj-$(CONFIG_RTC_DRV_PCF2127)	+= rtc-pcf2127.o
obj-$(CONFIG_RTC_DRV_PCF50633)	+= rtc-pcf50633.o
obj-$(CONFIG_RTC_DRV_PCF85063)	+= rtc-pcf85063.o
obj-$(CONFIG_RTC_DRV_PCF8523)	+= rtc-pcf8523.o
obj-$(CONFIG_RTC_DRV_PCF85363)	+= rtc-pcf85363.o
obj-$(CONFIG_RTC_DRV_PCF8563)	+= rtc-pcf8563.o
obj-$(CONFIG_RTC_DRV_PCF8583)	+= rtc-pcf8583.o
obj-$(CONFIG_RTC_DRV_PIC32)	+= rtc-pic32.o
obj-$(CONFIG_RTC_DRV_PL030)	+= rtc-pl030.o
obj-$(CONFIG_RTC_DRV_PL031)	+= rtc-pl031.o
obj-$(CONFIG_RTC_DRV_PM8XXX)	+= rtc-pm8xxx.o
obj-$(CONFIG_RTC_DRV_POLARFIRE_SOC)	+= rtc-mpfs.o
obj-$(CONFIG_RTC_DRV_PS3)	+= rtc-ps3.o
obj-$(CONFIG_RTC_DRV_PXA)	+= rtc-pxa.o
obj-$(CONFIG_RTC_DRV_R7301)	+= rtc-r7301.o
obj-$(CONFIG_RTC_DRV_R9701)	+= rtc-r9701.o
obj-$(CONFIG_RTC_DRV_RC5T583)	+= rtc-rc5t583.o
obj-$(CONFIG_RTC_DRV_RC5T619)	+= rtc-rc5t619.o
obj-$(CONFIG_RTC_DRV_RK808)	+= rtc-rk808.o
obj-$(CONFIG_RTC_DRV_RP5C01)	+= rtc-rp5c01.o
obj-$(CONFIG_RTC_DRV_RS5C313)	+= rtc-rs5c313.o
obj-$(CONFIG_RTC_DRV_RS5C348)	+= rtc-rs5c348.o
obj-$(CONFIG_RTC_DRV_RS5C372)	+= rtc-rs5c372.o
obj-$(CONFIG_RTC_DRV_RTD119X)	+= rtc-rtd119x.o
obj-$(CONFIG_RTC_DRV_RV3028)	+= rtc-rv3028.o
obj-$(CONFIG_RTC_DRV_RV3029C2)	+= rtc-rv3029c2.o
obj-$(CONFIG_RTC_DRV_RV3032)	+= rtc-rv3032.o
obj-$(CONFIG_RTC_DRV_RV8803)	+= rtc-rv8803.o
obj-$(CONFIG_RTC_DRV_RX4581)	+= rtc-rx4581.o
obj-$(CONFIG_RTC_DRV_RX6110)	+= rtc-rx6110.o
obj-$(CONFIG_RTC_DRV_RX8010)	+= rtc-rx8010.o
obj-$(CONFIG_RTC_DRV_RX8025)	+= rtc-rx8025.o
obj-$(CONFIG_RTC_DRV_RX8581)	+= rtc-rx8581.o
obj-$(CONFIG_RTC_DRV_RZN1)	+= rtc-rzn1.o
obj-$(CONFIG_RTC_DRV_S35390A)	+= rtc-s35390a.o
obj-$(CONFIG_RTC_DRV_S3C)	+= rtc-s3c.o
obj-$(CONFIG_RTC_DRV_S5M)	+= rtc-s5m.o
obj-$(CONFIG_RTC_DRV_SA1100)	+= rtc-sa1100.o
obj-$(CONFIG_RTC_DRV_SC27XX)	+= rtc-sc27xx.o
obj-$(CONFIG_RTC_DRV_SD3078)   += rtc-sd3078.o
obj-$(CONFIG_RTC_DRV_SH)	+= rtc-sh.o
obj-$(CONFIG_RTC_DRV_SNVS)	+= rtc-snvs.o
obj-$(CONFIG_RTC_DRV_SPEAR)	+= rtc-spear.o
obj-$(CONFIG_RTC_DRV_STARFIRE)	+= rtc-starfire.o
obj-$(CONFIG_RTC_DRV_STK17TA8)	+= rtc-stk17ta8.o
obj-$(CONFIG_RTC_DRV_ST_LPC)	+= rtc-st-lpc.o
obj-$(CONFIG_RTC_DRV_STM32) 	+= rtc-stm32.o
obj-$(CONFIG_RTC_DRV_STMP)	+= rtc-stmp3xxx.o
obj-$(CONFIG_RTC_DRV_SUN4V)	+= rtc-sun4v.o
obj-$(CONFIG_RTC_DRV_SUN6I)	+= rtc-sun6i.o
obj-$(CONFIG_RTC_DRV_SUNPLUS)	+= rtc-sunplus.o
obj-$(CONFIG_RTC_DRV_SUNXI)	+= rtc-sunxi.o
obj-$(CONFIG_RTC_DRV_TEGRA)	+= rtc-tegra.o
obj-$(CONFIG_RTC_DRV_TEST)	+= rtc-test.o
obj-$(CONFIG_RTC_DRV_TI_K3)	+= rtc-ti-k3.o
obj-$(CONFIG_RTC_DRV_TPS6586X)	+= rtc-tps6586x.o
obj-$(CONFIG_RTC_DRV_TPS65910)	+= rtc-tps65910.o
obj-$(CONFIG_RTC_DRV_TWL4030)	+= rtc-twl.o
obj-$(CONFIG_RTC_DRV_V3020)	+= rtc-v3020.o
obj-$(CONFIG_RTC_DRV_VT8500)	+= rtc-vt8500.o
obj-$(CONFIG_RTC_DRV_WILCO_EC)	+= rtc-wilco-ec.o
obj-$(CONFIG_RTC_DRV_WM831X)	+= rtc-wm831x.o
obj-$(CONFIG_RTC_DRV_WM8350)	+= rtc-wm8350.o
obj-$(CONFIG_RTC_DRV_X1205)	+= rtc-x1205.o
obj-$(CONFIG_RTC_DRV_XGENE)	+= rtc-xgene.o
obj-$(CONFIG_RTC_DRV_ZYNQMP)	+= rtc-zynqmp.o
